Bug 1301009 - Undercloud install failing [NEEDINFO]
Undercloud install failing
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: rdo-manager (Show other bugs)
Liberty
x86_64 Linux
unspecified Severity high
: ---
: Kilo
Assigned To: Hugh Brock
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 05:25 EST by Manu Balasree
Modified: 2016-05-19 11:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:51:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: needinfo? (manubalasree)


Attachments (Terms of Use)
.instack/install-undercloud.log (299.59 KB, text/plain)
2016-01-22 05:25 EST, Manu Balasree
no flags Details

  None (edit)
Description Manu Balasree 2016-01-22 05:25:15 EST
Created attachment 1117143 [details]
.instack/install-undercloud.log

Description of problem:
Undercloud install is failing on CentOS Linux release 7.2.1511 (Core)

Version-Release number of selected component (if applicable):
https://repos.fedorapeople.org/repos/openstack-m/rdo-manager-docs/liberty/installation/installing.html

How reproducible:


Steps to Reproduce:
1.Run openstack undercloud install as stack user
2.
3.

Actual results:
puppet apply exited with exit code 6
+ '[' 6 '!=' 2 -a 6 '!=' 0 ']'
+ exit 6
[2016-01-22 15:53:05,953] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 6]

[2016-01-22 15:53:05,954] (os-refresh-config) [ERROR] Aborting...

Expected results:

<installing undercloud for the first time>
Additional info:
selinux set to permissive
SELINUX=permissive
SELINUXTYPE=targeted
Comment 1 Alan Pevec 2016-01-27 06:21:47 EST
Error is due to rabbitmq not available within expected timeouts:

curl: (7) Failed connect to localhost:15672; Connection refused[0m
2016-01-22 15:52:42,066 INFO: [1;31mError: curl -k --noproxy localhost --retry 30 --retry-delay 6 -f -L -o /var/lib/rabbitmq/rabbitmqadmin http://guest:guest@localhost:15672/cli/rabbitmqadmin returned 7 instead of one of [0]

Please check rabbitmq logs for more clues.
Comment 4 Chandan Kumar 2016-05-19 11:51:20 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.